summaryrefslogtreecommitdiffstats
path: root/source/n/gnutls/gnutls.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/gnutls/gnutls.SlackBuild')
-rwxr-xr-xsource/n/gnutls/gnutls.SlackBuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/source/n/gnutls/gnutls.SlackBuild b/source/n/gnutls/gnutls.SlackBuild
index 331b9b94f..11320730f 100755
--- a/source/n/gnutls/gnutls.SlackBuild
+++ b/source/n/gnutls/gnutls.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gnutls
VERSION=${VERSION:-$(echo gnutls-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -60,6 +60,9 @@ else
LIBDIRSUFFIX=""
fi
+# Don't use icecream:
+PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
rm -rf $PKG
@@ -78,6 +81,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# This patch addresses some issues with SSL/TLS breakage in 3.6.3:
+zcat $CWD/gnutls-3.6.3-backport-upstream-fixes.patch.gz | patch -p1 --verbose || exit 1
+
# Need to reconf to find guile-2.2.x:
autoreconf -vif